Just one more note:

I did the gunlock on 1.1.3, because I was there, when the unlock went public and I didn't want to do the whole downgrade process again. It did work, but I had to manually kill two processes.

If I had to do it all again, I would do the gunlock at 1.1.2 and the soft-update to 1.1.3.